Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface DeployableCredentialProvider

public interface DeployableCredentialProvider
extends CredentialProvider

A Credential Mapping provider that supports deploying policies on behalf of Resource Adapter deployment needs to implement this interface.

Basically, this is a credential mapping that says which credential needs to be used by a certain WebLogic Server user when connecting to an EIS. Not all Credential Mapping providers need to support this interface.

When a Resource Adapter (`.rar`) is deployed, credentials and mappings need to be created. Similarly, when the Resource Adapter is re/hot deployed, the credentials and mappings need to be updated. And, when the Resource Adapter is undeployed, the credentials and mappings should be removed. This work needs to be done by a Credential Mapping provider.

To help with this, there are two MBeans associated with Credential Mapping providers: one for providers who support deployment and one for those that do not support deployment. The one for deployment has an attribute that indicates whether this provider should be used for deployment.

Author:
  Copyright (c) 2002 by BEA. All Rights Reserved.

Method Summary
`void` | `deployCredentialMapping(Resource resource, java.lang.String initiatingPrincipal, java.lang.String eisUsername, java.lang.String eisPassword)` Deploys credential maps (that is, creates a credential mapping on behalf of a deployed Resource Adapter).
`void` | `undeployCredentialMappings(Resource resource)` Undeploys credential maps (that is, deletes a credential mapping on behalf of an undeployed Resource Adapter).

Methods inherited from interface weblogic.security.spi.CredentialProvider
`getCredentialProvider`

Methods inherited from interface weblogic.security.spi.SecurityProvider
`getDescription, initialize, shutdown`

Method Detail

### deployCredentialMapping

    public void deployCredentialMapping(Resource resource,
                                        java.lang.String initiatingPrincipal,
                                        java.lang.String eisUsername,
                                        java.lang.String eisPassword)
                                 throws ResourceCreationException

  Deploys credential maps (that is, creates a credential mapping on behalf of a deployed Resource Adapter). If the mapping already exists, it is removed and replaced by this mapping.

  Parameters:
    `resource` - the EIS resource to which the credential mapping applies.

    `initiatingPrincipal` - the WebLogic Server username for the credential mapping to be deployed.

    `eisUsername` - the external EIS username for the credential mapping to be deployed.

    `eisPassword` - the external EIS password for the credential mapping to be deployed.

  Throws:
    ResourceCreationException - if an unexpected error occurs while deploying the credential maps for the specified resource.

### undeployCredentialMappings

    public void undeployCredentialMappings(Resource resource)
                                    throws ResourceRemovalException

  Undeploys credential maps (that is, deletes a credential mapping on behalf of an undeployed Resource Adapter). This method is a no-op if the mapping does not exist.

  Parameters:
    `resource` - the `Resource` object to which the credential mapping applies.

  Throws:
    ResourceRemovalException - if an unexpected error occurs while undeploying the specified resource.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference